Get an Activity Log by ID
curl --request GET \
--url https://eu.sequencehq.com/api/activity-logs/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/activity-logs/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/activity-logs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "aa0e8400-e29b-41d4-a716-446655440005",
"sequenceAccountId": "bb0e8400-e29b-41d4-a716-446655440006",
"activityType": "NOTIFICATION",
"apiVersion": "V1",
"origin": "API",
"traceId": "f26ad30d3be41b2f64fa7dbfb22ba5fd",
"createdAt": "2024-01-01T10:00:00Z",
"activityLogItems": [
{
"id": "880e8400-e29b-41d4-a716-446655440003",
"activityLogId": "990e8400-e29b-41d4-a716-446655440004",
"verb": "CREATED",
"name": "Invoice Created",
"summary": "A new invoice was created for customer",
"reason": "New billing cycle started",
"metadata": [],
"activityLogActor": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"entityType": "USER",
"entityId": "550e8400-e29b-41d4-a716-446655440123",
"email": "john.doe@sequencehq.com"
},
"activityLogObject": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"entityType": "INVOICE",
"entityId": "550e8400-e29b-41d4-a716-446655440456"
},
"activityLogTarget": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"entityType": "SEQUENCE_USER",
"entityId": "550e8400-e29b-41d4-a716-446655440789"
}
}
]
}This response has no body data.This response has no body data.This response has no body data.Activities
Get an Activity Log by ID
Get an Activity Log by ID
GET
/
activity-logs
/
{id}
Get an Activity Log by ID
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Path Parameters
id
Response
OK
Example:
"aa0e8400-e29b-41d4-a716-446655440005"
Example:
"bb0e8400-e29b-41d4-a716-446655440006"
Example:
"NOTIFICATION"
Example:
"API"
Example:
"2024-01-01T10:00:00Z"
Show child attributes
Show child attributes
Example:
[
{
"id": "880e8400-e29b-41d4-a716-446655440003",
"activityLogId": "990e8400-e29b-41d4-a716-446655440004",
"verb": "CREATED",
"name": "Invoice Created",
"summary": "A new invoice was created for customer",
"reason": "New billing cycle started",
"metadata": [],
"activityLogActor": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"entityType": "USER",
"entityId": "550e8400-e29b-41d4-a716-446655440123",
"email": "john.doe@sequencehq.com"
},
"activityLogObject": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"entityType": "INVOICE",
"entityId": "550e8400-e29b-41d4-a716-446655440456"
},
"activityLogTarget": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"entityType": "SEQUENCE_USER",
"entityId": "550e8400-e29b-41d4-a716-446655440789"
}
}
]
Example:
"V1"
Example:
"f26ad30d3be41b2f64fa7dbfb22ba5fd"
⌘I